public class Vector {
    private int[] v;
    public Vector(int[] v) {
        this.v = new int[v.length];
	for (int i = 0; i < v.length; i++)
	    this.v[i] = v[i];
    }
    public void multiplyBy(int c) {
        for (int i = 0; i < v.length; i++)
	    v[i] *= c;
    }
    public String toString() {
        String out = "(";
	for (int i = 0; i < v.length; i++)
	    out += (i > 0 ? ", " : "") + v[i];
        return out + ")";
    }

    public static void main(String[] args) {
        Vector v = new Vector(new int[] {1, 2, 3});
	System.out.println("v = "+v);

	v.multiplyBy(2);
	System.out.println("v = "+v);
    }
}
